Package it.ernytech.tdlib

## Class TdApi.AuthorizationState

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.AuthorizationState

Direct Known Subclasses:
  `TdApi.AuthorizationStateClosed`, `TdApi.AuthorizationStateClosing`, `TdApi.AuthorizationStateLoggingOut`, `TdApi.AuthorizationStateReady`, `TdApi.AuthorizationStateWaitCode`, `TdApi.AuthorizationStateWaitEncryptionKey`, `TdApi.AuthorizationStateWaitPassword`, `TdApi.AuthorizationStateWaitPhoneNumber`, `TdApi.AuthorizationStateWaitTdlibParameters`

Enclosing class:
  TdApi

    public abstract static class TdApi.AuthorizationState
    extends TdApi.Object

This class is an abstract base class. Represents the current authorization state of the client.

### Constructor Summary

Constructors
`AuthorizationState()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### AuthorizationState

    public AuthorizationState()